Subject: RE: [nemo] mor comments on TD

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Fri, 27 Aug 2004 13:25:24 +0200

> 
> 
> Alexandru Petrescu wrote:
> > Hi Pascal, here are more comments on TD.  I hope I'm not missing
> > something obvious...
> >
> >
> >>When several MRs attach to each other to form a nested Nemo, loops
> >>can be created if they are not explicitely avoided. In the simplest
> >>case, when egress and ingress interfaces of an MR are all wireless,
a
> >> mobile router may be listening to Router Advertisement from its own
> >> ingress interface, creating a confliction problem.
> >
> >
> > This is bad configuration.  This is something that an administrator
> > should avoid.  When a machine has several wireless interfaces each
> > intended to belong to different IP subnets (the case of a typical
> > router) then administrator should enforce this.  With 802.11b, it is
at
> > least necessary to set up different ESSID's.  This is not a NEMO
> > problem.
> 
> I completely agree. This is what I pointed out in San Diego. An
> administrator wouldn't randomly connect an Ethernet cable to any
socket
> he finds. He needs to have a clear picture of the wiring. Wireless
isn't
> any different. You don't just connect to APs without knowing where
they
> fit in the topology.
Mattias, the topology here is not necessarily engineered, it's ad hoc.
Like car2car.

Pascal

---

From: Mattias Pettersson <[email-masked]>
Date: Fri, 27 Aug 2004 15:02:47 +0200

> Mattias, the topology here is not necessarily engineered, it's ad hoc.

Personally, I see no motivation for such scenarios.

How would you formulate the requirements that motivate this? I'm not 
discouraging your work, but I think the WG needs to see the need for 
this more futuristic case. I would say we more likely need RO before TD.

Also, with such scenarios you would bring in a lot of new issues that we 
probably don't see now and this will make solutions _much_ more complex.

/Mattias